Bug 235407 - Load event never firing after form is submitted
Summary: Load event never firing after form is submitted
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL: http://wpt.live/html/semantics/forms/...
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-01-20 08:48 PST by Sam Sneddon [:gsnedders]
Modified: 2022-03-04 12:36 PST (History)
10 users (show)

See Also:


Attachments
WIP patch (3.66 KB, patch)
2022-03-04 09:33 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (9.44 KB, patch)
2022-03-04 09:50 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (12.10 KB, patch)
2022-03-04 10:45 PST, Chris Dumez
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Sneddon [:gsnedders] 2022-01-20 08:48:17 PST
On the above test (note: this requires pop-ups to be allowed), the test is constantly resulting in a harness TIMEOUT.

The underlying cause of this seems to be us never actually firing the load event for the test document.
Comment 1 Radar WebKit Bug Importer 2022-01-20 08:48:29 PST
<rdar://problem/87831049>
Comment 2 Sam Sneddon [:gsnedders] 2022-01-21 04:00:31 PST
Reduces down to:

<div id=log></div>
<form action=about:blank target=_blank><input type=hidden name=input></form>
<script>
  const t1 = performance.now();
  const submitter = document.querySelector("form");
  submitter.submit();

  window.onload = () => {
    document.querySelector("#log").textContent = `loaded after ${performance.now() - t1}ms`;
    
  }
</script>
Comment 3 Alexey Proskuryakov 2022-01-23 17:52:06 PST
I looked through our other form submission bugs, but this one seems new.
Comment 4 Chris Dumez 2022-03-04 09:10:52 PST
I am investigating.
Comment 5 Chris Dumez 2022-03-04 09:33:16 PST
Created attachment 453849 [details]
WIP patch
Comment 6 Chris Dumez 2022-03-04 09:50:59 PST
Created attachment 453851 [details]
Patch
Comment 7 Chris Dumez 2022-03-04 10:45:19 PST
Created attachment 453857 [details]
Patch
Comment 8 Geoffrey Garen 2022-03-04 12:25:40 PST
Comment on attachment 453857 [details]
Patch

r=me
Comment 9 EWS 2022-03-04 12:36:21 PST
Committed r290841 (248077@main): <https://commits.webkit.org/248077@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 453857 [details].